Bug 7925 - Default configuration should allow pidfile creation
: Default configuration should allow pidfile creation
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wpa_supplicant)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-11 21:27 by
Modified: 2005-09-15 18:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-11 21:27:20
В конфигурации сервиса по умолчанию в файле /etc/sysconfig/wpa_supplicant не
указан pidfile, из-за чего service wpa_supplicant status не отрабатывает.

Патч:

--- wpa_supplicant.sysconfig    2004-10-06 21:12:49 +0400
+++ wpa_supplicant.sysconfig.new        2005-09-12 01:19:41 +0400
@@ -1,2 +1,2 @@
 # Options to wpa_supplicant
-WPA_SUPPLICANT_OPTIONS="-iwlan0 -c/etc/wpa_supplicant.conf -B"
+WPA_SUPPLICANT_OPTIONS="-iwlan0 -c/etc/wpa_supplicant.conf -B
-P/var/run/wpa_supplicant.pid"
------- Comment #1 From 2005-09-12 15:30:17 -------
Исправлено в wpa_supplicant-0.3.9-alt3
------- Comment #2 From 2005-09-15 17:56:13 -------
Verified: bug was fixed.